Create or update a catalog tag category
curl --request POST \
--url https://api.example.com/utils/metadata/catalog-tag-categories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"category_type": "Classification",
"description": "Personally Identifiable Information classification",
"fully_qualified_name": "PII",
"mutually_exclusive": false,
"name": "PII"
}
'import requests
url = "https://api.example.com/utils/metadata/catalog-tag-categories"
payload = {
"category_type": "Classification",
"description": "Personally Identifiable Information classification",
"fully_qualified_name": "PII",
"mutually_exclusive": False,
"name": "PII"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
category_type: 'Classification',
description: 'Personally Identifiable Information classification',
fully_qualified_name: 'PII',
mutually_exclusive: false,
name: 'PII'
})
};
fetch('https://api.example.com/utils/metadata/catalog-tag-categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"fully_qualified_name": "<string>",
"organization_id": "<string>",
"version": 123,
"created_by": "<string>",
"updated_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"asset_type": "catalog_tag_category",
"description": "<string>",
"category_type": "<string>",
"mutually_exclusive": false,
"owners": [
{}
],
"deleted_at": "2023-11-07T05:31:56Z"
}{
"id": "<string>",
"name": "<string>",
"fully_qualified_name": "<string>",
"organization_id": "<string>",
"version": 123,
"created_by": "<string>",
"updated_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"asset_type": "catalog_tag_category",
"description": "<string>",
"category_type": "<string>",
"mutually_exclusive": false,
"owners": [
{}
],
"deleted_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}metadata
Create or update a catalog tag category
Upsert a catalog tag category. Returns 201 on create, 200 on update.
POST
/
utils
/
metadata
/
catalog-tag-categories
Create or update a catalog tag category
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body for creating a catalog tag category.
Category name (e.g., 'PII', 'Sensitivity')
Required string length:
1 - 255Single-segment FQN (e.g., 'PII'). Must not contain dots.
Required string length:
1 - 512Optional category description
Maximum string length:
2000Category type: 'Classification' or 'Descriptive'
Available options:
Classification, Descriptive Whether tags in this category are mutually exclusive
Ownership information
Response
Updated
Full catalog tag category representation.
Was this page helpful?

